> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trader

> Get current trader DDX balance and profile



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /stats/api/v1/trader
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /stats/api/v1/trader:
    get:
      tags:
        - Trade
      summary: Get Trader
      description: Get current trader DDX balance and profile
      parameters:
        - in: query
          name: trader
          schema:
            type: string
          required: true
          description: The trader address.
          example: '0xb993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
      responses:
        '200':
          description: Trader data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraderAPISuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    TraderAPISuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          anyOf:
            - type: object
              properties:
                trader:
                  type: string
                  description: >-
                    The trader address prefixed with the blockchain
                    discriminant.
                  examples:
                    - '0x00b993e587c15a9e0a0fe4f111de98fd6b5ce7067d'
                availDdx:
                  type: string
                  description: The amount of DDX that the trader holds.
                  examples:
                    - '1000'
                lockedDdx:
                  type: string
                  description: >-
                    The amount of DDX that the trader has initiated for
                    withdrawal.
                  examples:
                    - '200'
                payFeesInDdx:
                  type: boolean
                  description: >-
                    A flag which indicates whether the trader wants to attempt
                    to pay trading fees using their DDX balance.
                  examples:
                    - true
              required:
                - trader
                - availDdx
                - lockedDdx
                - payFeesInDdx
              additionalProperties: false
              description: Entity which represents the current trader state.
            - type: 'null'
              description: >-
                The value will be null if there is no value for the parameters
                used.
              examples:
                - null
          description: The value of the response.
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Trader API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````